'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var Tabs = function (_Component) {
  inherits(Tabs, _Component);

  function Tabs() {
    classCallCheck(this, Tabs);
    return possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).apply(this, arguments));
  }

  createClass(Tabs, [{
    key: "render",
    value: function render() {
      return React__default.createElement(
        "div",
        {
          className: "tabs"

        },
        this.props.children
      );
    }
  }]);
  return Tabs;
}(React.Component);

var Tab = function (_Component) {
  inherits(Tab, _Component);

  function Tab() {
    classCallCheck(this, Tab);
    return possibleConstructorReturn(this, (Tab.__proto__ || Object.getPrototypeOf(Tab)).apply(this, arguments));
  }

  createClass(Tab, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      if (this.props.index === 0) {
        this.myinput.checked = true;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var index = this.props.index;

      return React__default.createElement(
        "div",
        {
          className: "tab"
        },
        React__default.createElement("input", {
          type: "radio",
          ref: function ref(input) {
            return _this2.myinput = input;
          },
          id: "tab-" + index,
          name: "tab-group-1"

        }),
        React__default.createElement(
          "label",
          {
            htmlFor: "tab-" + index

          },
          this.props.title
        ),
        React__default.createElement(
          "div",
          { className: "content" },
          this.props.children
        )
      );
    }
  }]);
  return Tab;
}(React.Component);

exports.Tabs = Tabs;
exports.Tab = Tab;
//# sourceMappingURL=index.js.map
